diff --git a/HLTriggerOffline/Scouting/plugins/PatElectronTagProbeAnalyzer.cc b/HLTriggerOffline/Scouting/plugins/PatElectronTagProbeAnalyzer.cc
index 09bc105362a6..5f303c26a761 100644
--- a/HLTriggerOffline/Scouting/plugins/PatElectronTagProbeAnalyzer.cc
+++ b/HLTriggerOffline/Scouting/plugins/PatElectronTagProbeAnalyzer.cc
@@ -634,61 +708,66 @@ void PatElectronTagProbeAnalyzer::fillHistograms_resonance_sct(const kProbeKinem
       histos.hTrack_qoverpModeError_Barrel->Fill(trk);
     }
 
-    if(pass_baseDST){
-
-      if (pt_order == 0){
+    if (pass_baseDST) {
+      if (pt_order == 0) {
         histos.leading_electron.hPt_Barrel_passBaseDST->Fill(el.pt());
         histos.leading_electron.hEta_passBaseDST->Fill(el.eta());
 
-        for(unsigned int iTrig = 0; iTrig < vtriggerSelection_.size(); iTrig++){
-          if(trigger_result[iTrig]){
-             histos.leading_electron.hPt_Barrel_passDST[iTrig]->Fill(el.pt());
-             histos.leading_electron.hEta_passDST[iTrig]->Fill(el.eta());
+        for (unsigned int iTrig = 0; iTrig < vtriggerSelection_.size(); iTrig++) {
+          if (trigger_result[iTrig]) {
+            histos.leading_electron.hPt_Barrel_passDST[iTrig]->Fill(el.pt());
+            histos.leading_electron.hEta_passDST[iTrig]->Fill(el.eta());
           }
-          if(scoutingElectron_passHLT(el.trketaMode()[gsfTrackIndex], el.trkphiMode()[gsfTrackIndex], legObjects[iTrig])){
-             histos.leading_electron.hPt_Barrel_fireTrigObj[iTrig]->Fill(el.pt());
-             histos.leading_electron.hEta_fireTrigObj[iTrig]->Fill(el.eta());
+          if (scoutingElectron_passHLT(
+                  el.trketaMode()[gsfTrackIndex], el.trkphiMode()[gsfTrackIndex], legObjects[iTrig])) {
+            histos.leading_electron.hPt_Barrel_fireTrigObj[iTrig]->Fill(el.pt());
+            histos.leading_electron.hEta_fireTrigObj[iTrig]->Fill(el.eta());
           }
         }
 
-        for(unsigned int il1seed = 0; il1seed < l1Seeds_.size(); il1seed++){
-          if(l1_result[il1seed]){
-             unsigned int ifilter = 0;
-             while ((ifilter < l1filterIndex_.size()) && (il1seed >= l1filterIndex_[ifilter])) ifilter++;
-             if(!(scoutingElectron_passHLT(el.trketaMode()[gsfTrackIndex], el.trkphiMode()[gsfTrackIndex], l1_legObjects[ifilter]))) continue;
-
-             histos.leading_electron.hPt_Barrel_fireL1[il1seed]->Fill(el.pt());
-             histos.leading_electron.hEta_fireL1[il1seed]->Fill(el.eta());
+        for (unsigned int il1seed = 0; il1seed < l1Seeds_.size(); il1seed++) {
+          if (l1_result[il1seed]) {
+            unsigned int ifilter = 0;
+            while ((ifilter < l1filterIndex_.size()) && (il1seed >= l1filterIndex_[ifilter]))
+              ifilter++;
+            if (!(scoutingElectron_passHLT(
+                    el.trketaMode()[gsfTrackIndex], el.trkphiMode()[gsfTrackIndex], l1_legObjects[ifilter])))
+              continue;
+
+            histos.leading_electron.hPt_Barrel_fireL1[il1seed]->Fill(el.pt());
+            histos.leading_electron.hEta_fireL1[il1seed]->Fill(el.eta());
           }
         }
-      }
-      else if (pt_order == 1){
+      } else if (pt_order == 1) {
         histos.subleading_electron.hPt_Barrel_passBaseDST->Fill(el.pt());
         histos.subleading_electron.hEta_passBaseDST->Fill(el.eta());
 
-        for(unsigned int iTrig = 0; iTrig < vtriggerSelection_.size(); iTrig++){
-          if(trigger_result[iTrig]){
-             histos.subleading_electron.hPt_Barrel_passDST[iTrig]->Fill(el.pt());
-             histos.subleading_electron.hEta_passDST[iTrig]->Fill(el.eta());
+        for (unsigned int iTrig = 0; iTrig < vtriggerSelection_.size(); iTrig++) {
+          if (trigger_result[iTrig]) {
+            histos.subleading_electron.hPt_Barrel_passDST[iTrig]->Fill(el.pt());
+            histos.subleading_electron.hEta_passDST[iTrig]->Fill(el.eta());
           }
-          if(scoutingElectron_passHLT(el.trketaMode()[gsfTrackIndex], el.trkphiMode()[gsfTrackIndex], legObjects[iTrig])){
-             histos.subleading_electron.hPt_Barrel_fireTrigObj[iTrig]->Fill(el.pt());
-             histos.subleading_electron.hEta_fireTrigObj[iTrig]->Fill(el.eta());
+          if (scoutingElectron_passHLT(
+                  el.trketaMode()[gsfTrackIndex], el.trkphiMode()[gsfTrackIndex], legObjects[iTrig])) {
+            histos.subleading_electron.hPt_Barrel_fireTrigObj[iTrig]->Fill(el.pt());
+            histos.subleading_electron.hEta_fireTrigObj[iTrig]->Fill(el.eta());
           }
         }
 
-        for(unsigned int il1seed = 0; il1seed < l1Seeds_.size(); il1seed++){
-          if(l1_result[il1seed]){
-             unsigned int ifilter = 0;
-             while ((ifilter < l1filterIndex_.size()) && (il1seed >= l1filterIndex_[ifilter])) ifilter++;
-             if(!(scoutingElectron_passHLT(el.trketaMode()[gsfTrackIndex], el.trkphiMode()[gsfTrackIndex], l1_legObjects[ifilter]))) continue;
-
-             histos.subleading_electron.hPt_Barrel_fireL1[il1seed]->Fill(el.pt());
-             histos.subleading_electron.hEta_fireL1[il1seed]->Fill(el.eta());
+        for (unsigned int il1seed = 0; il1seed < l1Seeds_.size(); il1seed++) {
+          if (l1_result[il1seed]) {
+            unsigned int ifilter = 0;
+            while ((ifilter < l1filterIndex_.size()) && (il1seed >= l1filterIndex_[ifilter]))
+              ifilter++;
+            if (!(scoutingElectron_passHLT(
+                    el.trketaMode()[gsfTrackIndex], el.trkphiMode()[gsfTrackIndex], l1_legObjects[ifilter])))
+              continue;
+
+            histos.subleading_electron.hPt_Barrel_fireL1[il1seed]->Fill(el.pt());
+            histos.subleading_electron.hEta_fireL1[il1seed]->Fill(el.eta());
           }
         }
       }
-
     }
   } else {
     histos.hPt_Endcap->Fill(el.pt());
@@ -719,57 +798,63 @@ void PatElectronTagProbeAnalyzer::fillHistograms_resonance_sct(const kProbeKinem
       histos.hTrack_qoverpModeError_Endcap->Fill(trk);
     }
 
-    if(pass_baseDST){
-
-      if (pt_order == 0){
+    if (pass_baseDST) {
+      if (pt_order == 0) {
         histos.leading_electron.hPt_Endcap_passBaseDST->Fill(el.pt());
         histos.leading_electron.hEta_passBaseDST->Fill(el.eta());
 
-        for(unsigned int iTrig = 0; iTrig < vtriggerSelection_.size(); iTrig++){
-          if(trigger_result[iTrig]){
-             histos.leading_electron.hPt_Endcap_passDST[iTrig]->Fill(el.pt());
-             histos.leading_electron.hEta_passDST[iTrig]->Fill(el.eta());
+        for (unsigned int iTrig = 0; iTrig < vtriggerSelection_.size(); iTrig++) {
+          if (trigger_result[iTrig]) {
+            histos.leading_electron.hPt_Endcap_passDST[iTrig]->Fill(el.pt());
+            histos.leading_electron.hEta_passDST[iTrig]->Fill(el.eta());
           }
-          if(scoutingElectron_passHLT(el.trketaMode()[gsfTrackIndex], el.trkphiMode()[gsfTrackIndex], legObjects[iTrig])){
-             histos.leading_electron.hPt_Endcap_fireTrigObj[iTrig]->Fill(el.pt());
-             histos.leading_electron.hEta_fireTrigObj[iTrig]->Fill(el.eta());
+          if (scoutingElectron_passHLT(
+                  el.trketaMode()[gsfTrackIndex], el.trkphiMode()[gsfTrackIndex], legObjects[iTrig])) {
+            histos.leading_electron.hPt_Endcap_fireTrigObj[iTrig]->Fill(el.pt());
+            histos.leading_electron.hEta_fireTrigObj[iTrig]->Fill(el.eta());
           }
         }
 
-        for(unsigned int il1seed = 0; il1seed < l1Seeds_.size(); il1seed++){
-          if(l1_result[il1seed]){
-             unsigned int ifilter = 0;
-             while ((ifilter < l1filterIndex_.size()) && (il1seed >= l1filterIndex_[ifilter])) ifilter++;
-             if(!(scoutingElectron_passHLT(el.trketaMode()[gsfTrackIndex], el.trkphiMode()[gsfTrackIndex], l1_legObjects[ifilter]))) continue;
-
-             histos.leading_electron.hPt_Endcap_fireL1[il1seed]->Fill(el.pt());
-             histos.leading_electron.hEta_fireL1[il1seed]->Fill(el.eta());
+        for (unsigned int il1seed = 0; il1seed < l1Seeds_.size(); il1seed++) {
+          if (l1_result[il1seed]) {
+            unsigned int ifilter = 0;
+            while ((ifilter < l1filterIndex_.size()) && (il1seed >= l1filterIndex_[ifilter]))
+              ifilter++;
+            if (!(scoutingElectron_passHLT(
+                    el.trketaMode()[gsfTrackIndex], el.trkphiMode()[gsfTrackIndex], l1_legObjects[ifilter])))
+              continue;
+
+            histos.leading_electron.hPt_Endcap_fireL1[il1seed]->Fill(el.pt());
+            histos.leading_electron.hEta_fireL1[il1seed]->Fill(el.eta());
           }
         }
-      }
-      else if (pt_order == 1){
+      } else if (pt_order == 1) {
         histos.subleading_electron.hPt_Endcap_passBaseDST->Fill(el.pt());
         histos.subleading_electron.hEta_passBaseDST->Fill(el.eta());
 
-        for(unsigned int iTrig = 0; iTrig < vtriggerSelection_.size(); iTrig++){
-          if(trigger_result[iTrig]){
-             histos.subleading_electron.hPt_Endcap_passDST[iTrig]->Fill(el.pt());
-             histos.subleading_electron.hEta_passDST[iTrig]->Fill(el.eta());
+        for (unsigned int iTrig = 0; iTrig < vtriggerSelection_.size(); iTrig++) {
+          if (trigger_result[iTrig]) {
+            histos.subleading_electron.hPt_Endcap_passDST[iTrig]->Fill(el.pt());
+            histos.subleading_electron.hEta_passDST[iTrig]->Fill(el.eta());
           }
-          if(scoutingElectron_passHLT(el.trketaMode()[gsfTrackIndex], el.trkphiMode()[gsfTrackIndex], legObjects[iTrig])){
-             histos.subleading_electron.hPt_Endcap_fireTrigObj[iTrig]->Fill(el.pt());
-             histos.subleading_electron.hEta_fireTrigObj[iTrig]->Fill(el.eta());
+          if (scoutingElectron_passHLT(
+                  el.trketaMode()[gsfTrackIndex], el.trkphiMode()[gsfTrackIndex], legObjects[iTrig])) {
+            histos.subleading_electron.hPt_Endcap_fireTrigObj[iTrig]->Fill(el.pt());
+            histos.subleading_electron.hEta_fireTrigObj[iTrig]->Fill(el.eta());
           }
         }
 
-        for(unsigned int il1seed = 0; il1seed < l1Seeds_.size(); il1seed++){
-          if(l1_result[il1seed]){
-             unsigned int ifilter = 0;
-             while ((ifilter < l1filterIndex_.size()) && (il1seed >= l1filterIndex_[ifilter])) ifilter++;
-             if(!(scoutingElectron_passHLT(el.trketaMode()[gsfTrackIndex], el.trkphiMode()[gsfTrackIndex], l1_legObjects[ifilter]))) continue;
-
-             histos.subleading_electron.hPt_Endcap_fireL1[il1seed]->Fill(el.pt());
-             histos.subleading_electron.hEta_fireL1[il1seed]->Fill(el.eta());
+        for (unsigned int il1seed = 0; il1seed < l1Seeds_.size(); il1seed++) {
+          if (l1_result[il1seed]) {
+            unsigned int ifilter = 0;
+            while ((ifilter < l1filterIndex_.size()) && (il1seed >= l1filterIndex_[ifilter]))
+              ifilter++;
+            if (!(scoutingElectron_passHLT(
+                    el.trketaMode()[gsfTrackIndex], el.trkphiMode()[gsfTrackIndex], l1_legObjects[ifilter])))
+              continue;
+
+            histos.subleading_electron.hPt_Endcap_fireL1[il1seed]->Fill(el.pt());
+            histos.subleading_electron.hEta_fireL1[il1seed]->Fill(el.eta());
           }
         }
       }
@@ -785,12 +870,14 @@ void PatElectronTagProbeAnalyzer::bookHistograms(DQMStore::IBooker& ibook,
   bookHistograms_resonance(ibook, run, iSetup, histos.patElectron.resonanceZ, "resonanceZ_Tag_pat_Probe_patElectron");
   bookHistograms_resonance(ibook, run, iSetup, histos.patElectron.resonanceJ, "resonanceJ_Tag_pat_Probe_patElectron");
   bookHistograms_resonance(ibook, run, iSetup, histos.patElectron.resonanceY, "resonanceY_Tag_pat_Probe_patElectron");
-  bookHistograms_resonance(ibook, run, iSetup, histos.patElectron.resonanceAll, "resonanceAll_Tag_pat_Probe_patElectron");
+  bookHistograms_resonance(
+      ibook, run, iSetup, histos.patElectron.resonanceAll, "resonanceAll_Tag_pat_Probe_patElectron");
 
   bookHistograms_resonance(ibook, run, iSetup, histos.sctElectron.resonanceZ, "resonanceZ_Tag_pat_Probe_sctElectron");
   bookHistograms_resonance(ibook, run, iSetup, histos.sctElectron.resonanceJ, "resonanceJ_Tag_pat_Probe_sctElectron");
   bookHistograms_resonance(ibook, run, iSetup, histos.sctElectron.resonanceY, "resonanceY_Tag_pat_Probe_sctElectron");
-  bookHistograms_resonance(ibook, run, iSetup, histos.sctElectron.resonanceAll, "resonanceAll_Tag_pat_Probe_sctElectron");
+  bookHistograms_resonance(
+      ibook, run, iSetup, histos.sctElectron.resonanceAll, "resonanceAll_Tag_pat_Probe_sctElectron");
 }
 
 void PatElectronTagProbeAnalyzer::bookHistograms_resonance(DQMStore::IBooker& ibook,
@@ -874,101 +961,100 @@ void PatElectronTagProbeAnalyzer::bookHistograms_resonance(DQMStore::IBooker& ib
 
   histos.hInvMass = ibook.book1D(name + "_Invariant_Mass", name + "_Invariant_Mass", 800, 0, 200);
 
-
   // Leading Electron
   histos.leading_electron.hPt_Barrel_passBaseDST =
-      ibook.book1D(name + "_leading_Pt_Barrel_passBaseDST", name + "_leading_Pt_Barrel_passBaseDST",  40, 0, 200);
-  histos.leading_electron.hPt_Endcap_passBaseDST = 
-      ibook.book1D(name + "_leading_Pt_Endcap_passBaseDST", name + "_leading_Pt_Endcap_passBaseDST",  40, 0, 200);
-  histos.leading_electron.hEta_passBaseDST = 
-      ibook.book1D(name + "_leading_Eta_passBaseDST", name + "_leading_Eta_passBaseDST",  20, -5.0, 5.0);
+      ibook.book1D(name + "_leading_Pt_Barrel_passBaseDST", name + "_leading_Pt_Barrel_passBaseDST", 40, 0, 200);
+  histos.leading_electron.hPt_Endcap_passBaseDST =
+      ibook.book1D(name + "_leading_Pt_Endcap_passBaseDST", name + "_leading_Pt_Endcap_passBaseDST", 40, 0, 200);
+  histos.leading_electron.hEta_passBaseDST =
+      ibook.book1D(name + "_leading_Eta_passBaseDST", name + "_leading_Eta_passBaseDST", 20, -5.0, 5.0);
 
   // Sub-Leading Electron
   histos.subleading_electron.hPt_Barrel_passBaseDST =
-      ibook.book1D(name + "_subleading_Pt_Barrel_passBaseDST", name + "_subleading_Pt_Barrel_passBaseDST",  40, 0, 200);
-  histos.subleading_electron.hPt_Endcap_passBaseDST = 
-      ibook.book1D(name + "_subleading_Pt_Endcap_passBaseDST", name + "_subleading_Pt_Endcap_passBaseDST",  40, 0, 200);
-  histos.subleading_electron.hEta_passBaseDST = 
-      ibook.book1D(name + "_subleading_Eta_passBaseDST", name + "_subleading_Eta_passBaseDST",  20, -5.0, 5.0);
-
-
-
-
-  for (auto const &vt : vtriggerSelection_){
-      std::string cleaned_vt = vt;
-      cleaned_vt.erase(std::remove(cleaned_vt.begin(), cleaned_vt.end(), '*'), cleaned_vt.end());
-
-      // Leading Electron
-      histos.leading_electron.hPt_Barrel_passDST.push_back(
-          ibook.book1D(name + "_leading_Pt_Barrel_pass" + cleaned_vt, name + "_leading_Pt_Barrel_pass" + cleaned_vt,  40, 0, 200)
-      );
-      histos.leading_electron.hPt_Endcap_passDST.push_back(
-          ibook.book1D(name + "_leading_Pt_Endcap_pass" + cleaned_vt, name + "_leading_Pt_Endcap_pass" + cleaned_vt,  40, 0, 200)
-      );
-      histos.leading_electron.hEta_passDST.push_back(
-          ibook.book1D(name + "_leading_Eta_pass" + cleaned_vt, name + "_leading_Eta_pass" + cleaned_vt,  20, -5.0, 5.0)
-      );
-
-      histos.leading_electron.hPt_Barrel_fireTrigObj.push_back(
-          ibook.book1D(name + "_leading_Pt_Barrel_pass" + cleaned_vt + "_fireTrigObj", name + "_leading_Pt_Barrel_pass" + cleaned_vt + "_fireTrigObj",  40, 0, 200)
-      );
-      histos.leading_electron.hPt_Endcap_fireTrigObj.push_back(
-          ibook.book1D(name + "_leading_Pt_Endcap_pass" + cleaned_vt + "_fireTrigObj", name + "_leading_Pt_Endcap_pass" + cleaned_vt + "_fireTrigObj",  40, 0, 200)
-      );
-      histos.leading_electron.hEta_fireTrigObj.push_back(
-          ibook.book1D(name + "_leading_Eta_pass" + cleaned_vt + "_fireTrigObj", name + "_leading_Eta_pass" + cleaned_vt + "_fireTrigObj",  20, -5.0, 5.0)
-      );
-
-      // SubLeading Electron
-      histos.subleading_electron.hPt_Barrel_passDST.push_back(
-          ibook.book1D(name + "_subleading_Pt_Barrel_pass" + cleaned_vt, name + "_subleading_Pt_Barrel_pass" + cleaned_vt,  40, 0, 200)
-      );
-      histos.subleading_electron.hPt_Endcap_passDST.push_back(
-          ibook.book1D(name + "_subleading_Pt_Endcap_pass" + cleaned_vt, name + "_subleading_Pt_Endcap_pass" + cleaned_vt,  40, 0, 200)
-      );
-      histos.subleading_electron.hEta_passDST.push_back(
-          ibook.book1D(name + "_subleading_Eta_pass" + cleaned_vt, name + "_subleading_Eta_pass" + cleaned_vt,  20, -5.0, 5.0)
-      );
-
-      histos.subleading_electron.hPt_Barrel_fireTrigObj.push_back(
-          ibook.book1D(name + "_subleading_Pt_Barrel_pass" + cleaned_vt + "_fireTrigObj", name + "_subleading_Pt_Barrel_pass" + cleaned_vt + "_fireTrigObj",  40, 0, 200)
-      );
-      histos.subleading_electron.hPt_Endcap_fireTrigObj.push_back(
-          ibook.book1D(name + "_subleading_Pt_Endcap_pass" + cleaned_vt + "_fireTrigObj", name + "_subleading_Pt_Endcap_pass" + cleaned_vt + "_fireTrigObj",  40, 0, 200)
-      );
-      histos.subleading_electron.hEta_fireTrigObj.push_back(
-          ibook.book1D(name + "_subleading_Eta_pass" + cleaned_vt + "_fireTrigObj", name + "_subleading_Eta_pass" + cleaned_vt + "_fireTrigObj",  20, -5.0, 5.0)
-      );
-
+      ibook.book1D(name + "_subleading_Pt_Barrel_passBaseDST", name + "_subleading_Pt_Barrel_passBaseDST", 40, 0, 200);
+  histos.subleading_electron.hPt_Endcap_passBaseDST =
+      ibook.book1D(name + "_subleading_Pt_Endcap_passBaseDST", name + "_subleading_Pt_Endcap_passBaseDST", 40, 0, 200);
+  histos.subleading_electron.hEta_passBaseDST =
+      ibook.book1D(name + "_subleading_Eta_passBaseDST", name + "_subleading_Eta_passBaseDST", 20, -5.0, 5.0);
+
+  for (auto const& vt : vtriggerSelection_) {
+    std::string cleaned_vt = vt;
+    cleaned_vt.erase(std::remove(cleaned_vt.begin(), cleaned_vt.end(), '*'), cleaned_vt.end());
+
+    // Leading Electron
+    histos.leading_electron.hPt_Barrel_passDST.push_back(ibook.book1D(
+        name + "_leading_Pt_Barrel_pass" + cleaned_vt, name + "_leading_Pt_Barrel_pass" + cleaned_vt, 40, 0, 200));
+    histos.leading_electron.hPt_Endcap_passDST.push_back(ibook.book1D(
+        name + "_leading_Pt_Endcap_pass" + cleaned_vt, name + "_leading_Pt_Endcap_pass" + cleaned_vt, 40, 0, 200));
+    histos.leading_electron.hEta_passDST.push_back(
+        ibook.book1D(name + "_leading_Eta_pass" + cleaned_vt, name + "_leading_Eta_pass" + cleaned_vt, 20, -5.0, 5.0));
+
+    histos.leading_electron.hPt_Barrel_fireTrigObj.push_back(
+        ibook.book1D(name + "_leading_Pt_Barrel_pass" + cleaned_vt + "_fireTrigObj",
+                     name + "_leading_Pt_Barrel_pass" + cleaned_vt + "_fireTrigObj",
+                     40,
+                     0,
+                     200));
+    histos.leading_electron.hPt_Endcap_fireTrigObj.push_back(
+        ibook.book1D(name + "_leading_Pt_Endcap_pass" + cleaned_vt + "_fireTrigObj",
+                     name + "_leading_Pt_Endcap_pass" + cleaned_vt + "_fireTrigObj",
+                     40,
+                     0,
+                     200));
+    histos.leading_electron.hEta_fireTrigObj.push_back(
+        ibook.book1D(name + "_leading_Eta_pass" + cleaned_vt + "_fireTrigObj",
+                     name + "_leading_Eta_pass" + cleaned_vt + "_fireTrigObj",
+                     20,
+                     -5.0,
+                     5.0));
+
+    // SubLeading Electron
+    histos.subleading_electron.hPt_Barrel_passDST.push_back(ibook.book1D(
+        name + "_subleading_Pt_Barrel_pass" + cleaned_vt, name + "_subleading_Pt_Barrel_pass" + cleaned_vt, 40, 0, 200));
+    histos.subleading_electron.hPt_Endcap_passDST.push_back(ibook.book1D(
+        name + "_subleading_Pt_Endcap_pass" + cleaned_vt, name + "_subleading_Pt_Endcap_pass" + cleaned_vt, 40, 0, 200));
+    histos.subleading_electron.hEta_passDST.push_back(ibook.book1D(
+        name + "_subleading_Eta_pass" + cleaned_vt, name + "_subleading_Eta_pass" + cleaned_vt, 20, -5.0, 5.0));
+
+    histos.subleading_electron.hPt_Barrel_fireTrigObj.push_back(
+        ibook.book1D(name + "_subleading_Pt_Barrel_pass" + cleaned_vt + "_fireTrigObj",
+                     name + "_subleading_Pt_Barrel_pass" + cleaned_vt + "_fireTrigObj",
+                     40,
+                     0,
+                     200));
+    histos.subleading_electron.hPt_Endcap_fireTrigObj.push_back(
+        ibook.book1D(name + "_subleading_Pt_Endcap_pass" + cleaned_vt + "_fireTrigObj",
+                     name + "_subleading_Pt_Endcap_pass" + cleaned_vt + "_fireTrigObj",
+                     40,
+                     0,
+                     200));
+    histos.subleading_electron.hEta_fireTrigObj.push_back(
+        ibook.book1D(name + "_subleading_Eta_pass" + cleaned_vt + "_fireTrigObj",
+                     name + "_subleading_Eta_pass" + cleaned_vt + "_fireTrigObj",
+                     20,
+                     -5.0,
+                     5.0));
   }
 
-  for (auto const &l1seed : l1Seeds_){
-
-     // leading Electron
-     histos.leading_electron.hPt_Barrel_fireL1.push_back(
-          ibook.book1D(name + "_leading_Pt_Barrel_pass" + l1seed, name + "_leading_Pt_Barrel_pass" + l1seed,  40, 0, 200)
-      );
-      histos.leading_electron.hPt_Endcap_fireL1.push_back(
-          ibook.book1D(name + "_leading_Pt_Endcap_pass" + l1seed, name + "_leading_Pt_Endcap_pass" + l1seed,  40, 0, 200)
-      );
-      histos.leading_electron.hEta_fireL1.push_back(
-          ibook.book1D(name + "_leading_Eta_pass" + l1seed, name + "_leading_Eta_pass" + l1seed,  20, -5.0, 5.0)
-      );
-
-      // Subleading Electron
-      histos.subleading_electron.hPt_Barrel_fireL1.push_back(
-
-          ibook.book1D(name + "_subleading_Pt_Barrel_pass" + l1seed, name + "_subleading_Pt_Barrel_pass" + l1seed,  40, 0, 200)
-      );
-      histos.subleading_electron.hPt_Endcap_fireL1.push_back(
-          ibook.book1D(name + "_subleading_Pt_Endcap_pass" + l1seed, name + "_subleading_Pt_Endcap_pass" + l1seed,  40, 0, 200)
-      );
-      histos.subleading_electron.hEta_fireL1.push_back(
-          ibook.book1D(name + "_subleading_Eta_pass" + l1seed, name + "_subleading_Eta_pass" + l1seed,  20, -5.0, 5.0)
-      );
-
+  for (auto const& l1seed : l1Seeds_) {
+    // leading Electron
+    histos.leading_electron.hPt_Barrel_fireL1.push_back(
+        ibook.book1D(name + "_leading_Pt_Barrel_pass" + l1seed, name + "_leading_Pt_Barrel_pass" + l1seed, 40, 0, 200));
+    histos.leading_electron.hPt_Endcap_fireL1.push_back(
+        ibook.book1D(name + "_leading_Pt_Endcap_pass" + l1seed, name + "_leading_Pt_Endcap_pass" + l1seed, 40, 0, 200));
+    histos.leading_electron.hEta_fireL1.push_back(
+        ibook.book1D(name + "_leading_Eta_pass" + l1seed, name + "_leading_Eta_pass" + l1seed, 20, -5.0, 5.0));
+
+    // Subleading Electron
+    histos.subleading_electron.hPt_Barrel_fireL1.push_back(
+
+        ibook.book1D(
+            name + "_subleading_Pt_Barrel_pass" + l1seed, name + "_subleading_Pt_Barrel_pass" + l1seed, 40, 0, 200));
+    histos.subleading_electron.hPt_Endcap_fireL1.push_back(ibook.book1D(
+        name + "_subleading_Pt_Endcap_pass" + l1seed, name + "_subleading_Pt_Endcap_pass" + l1seed, 40, 0, 200));
+    histos.subleading_electron.hEta_fireL1.push_back(
+        ibook.book1D(name + "_subleading_Eta_pass" + l1seed, name + "_subleading_Eta_pass" + l1seed, 20, -5.0, 5.0));
   }
-
 }
 
 void PatElectronTagProbeAnalyzer::fillDescriptions(edm::ConfigurationDescriptions& descriptions) {
